use crate::models::locations::LocationType;
use crate::models::{Position, Tunnel};
use serde::{Deserialize, Serialize};

#[derive(Debug, Serialize, Deserialize, Clone)]
pub struct AddLocationParams {
    pub name: String,
    pub position: Position,
    pub loc_type: LocationType,
    pub tunnel: Option<Tunnel>,
}
