use serde::{Deserialize, Serialize};

#[derive(Debug, Serialize, Deserialize)]
pub enum GeoffreyAPIError {
    PlayerNotRegistered,
    EntryNotFound,
    PermissionInsufficient,
    EntryNotUnique,
    DatabaseError(String),
}
